<?php
/*
 * This file is part of pluck, the easy content management system
 * Copyright (c) somp (www.somp.nl)
 * http://www.pluck-cms.org

 * Pluck is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * See docs/COPYING for the complete license.
*/

//Make sure the file isn't accessed directly.
defined('IN_PLUCK') or exit('Access denied!');

//Get form-data
include ("data/settings/options.php");

//Generate the menu on the right
echo "<div class=\"rightmenu\">";
echo "$lang_page8 <br>";
read_imagesinpages("images");
read_pagesinpages("data/settings/pages");
echo "</div>";

//Include Page information
include("data/settings/pages/$editpage");

//Check if we have to check the hidepage checkbox
if (($hidden == "no") || (!$hidden)) {
	$hidecheck = "checked";
}
else {
	$hidecheck = "";
}

//Form
echo "<form method=\"post\" action=\"\">
<span class=\"kop2\">$lang_install17</span><br>
<input name=\"kop\" type=\"text\" value=\"$title\"><br><br>

<span class=\"kop2\">$lang_install18</span><br>
<textarea class=\"tinymce\" name=\"tekst\" cols=\"70\" rows=\"20\">$content</textarea><br>";

//Modules div
echo "<div style=\"background-color: #f4f4f4; width: 600px; padding: 5px; border: 1px dotted gray; margin: 5px;\">
<table>
<tr>
<td>
<img src=\"data/image/modules.png\" border=\"0\" alt=\"\">
</td>
<td>
<span class=\"kop3\">$lang_modules</span><br>
<b>$lang_modules16</b><br>
<table>";

//Define path to the module-dir
$path = "data/modules";
//Open the folder
$dir_handle = @opendir($path) or die("Unable to open $path. Check if it's readable.");

//First count how many modules we have, and exclude disabled modules
$number_modules = count(glob("data/modules/*"));
while ($dir = readdir($dir_handle)) {
	if($dir != "." && $dir != "..") {
		if (!module_is_compatible($dir)) {
			$number_modules = $number_modules-1;
		}
	}
}
closedir($dir_handle);

//Loop through dirs, and display the modules
$dir_handle = @opendir($path) or die("Unable to open $path. Check if it's readable.");
while ($dir = readdir($dir_handle)) {
	if($dir != "." && $dir != "..") {
		//Only show if module is compatible
		if (module_is_compatible($dir)) {
			include("data/modules/$dir/module_info.php");

			echo "<tr><td>$module_name</td>";
			echo "<td><select name=\"incmodule[$module_dir]\">";
			echo "<option value=\"0\">$lang_modules6";

			$counting_modules = 1;
			while ($counting_modules <= $number_modules) {

				//Check if this is the current setting
				//...and select the html-option if needed
				$currentsetting = $module_pageinc[$module_dir];
				if ($currentsetting == $counting_modules) {
					echo "<option value=\"$counting_modules\" selected>$counting_modules";
				}
				//...if this is no the current setting, don't select the html-option
				else {
					echo "<option value=\"$counting_modules\">$counting_modules";
				}

				//Higher counting_modules
				$counting_modules++;
			}
		}
		echo "</select></td></tr>";
	}
}
closedir($dir_handle);

echo "</table>
</td>
</tr>
</table>
</div>";

//Options div
echo "<div style=\"background-color: #f4f4f4; width: 600px; padding: 5px; border: 1px dotted gray; margin: 5px;\">
<table>
<tr>
<td>
<img src=\"data/image/options.png\" border=\"0\" alt=\"\">
</td>
<td>
<span class=\"kop3\">$lang_contact2</span><br>";

//Display checkbox for the hidepage-option
echo "<input type=\"checkbox\" name=\"hidepage\" value=\"no\" $hidecheck> $lang_pagehide1<br>
</td>
</tr>
</table>
</div>";

//Submit button
echo "<input type=\"submit\" name=\"Submit\" value=\"$lang_install13\">
<input type=\"button\" name=\"Cancel\" value=\"$lang_install14\" onclick=\"history.go(-1);\" \">
</form>";

//If form is posted...
if(isset($_POST['Submit'])) {

//Check if we want to show the page in the menu
if ($hidepage != "no") {
	$hidepage = "yes";
}

$data = "data/settings/pages/$editpage";
include("data/inc/page_stripslashes.php");

//Sanitize data
$kop = htmlspecialchars($kop);

$file = fopen($data, "w");
fputs($file, "<?php
\$title = \"$kop\";
\$content = \"$tekst\";
\$hidden = \"$hidepage\";\n");

//Only save other variables if they are set
if(isset($description)) {
	fputs($file, "\$description = \"$description\";\n");
}
if (isset($keywords)) {
	fputs($file, "\$keywords = \"$keywords\";\n");
}

//Save the module information
foreach ($incmodule as $modulename => $order) {
	fputs($file, "\n\$module_pageinc['$modulename'] = \"$order\";");
}

//Close the file
fputs($file, "\n?>");
fclose($file);
//Give the file the right permissions
chmod($data, 0777);

//and redirect user
redirect('?action=page', 0);
}
?>